Post by parora24@gmail.com » Fri Jul 03, 2020 2:49 am

I have installed the standard paypal powered by braintree extension. I have connected it to my Braintree account but I keep getting the below message

" There was a problem establishing a connection to the Braintree API. Please check your Merchant ID, Public Key, Private Key and Environment settings."

My version is 3.0.3.1

How can I fix this. Note that since i used the braintree onboarding app , I did not enter these details anywhere.

Please help


Posts

Joined
Tue Jun 16, 2020 1:58 am

Post by paulfeakins » Fri Jul 03, 2020 4:29 pm

Contact the extension developer.

For quick, professional OpenCart support please email info@antropy.co.uk


User avatar
Guru Member

Posts

Joined
Mon Aug 22, 2011 11:01 pm
Location - Reigate, Surrey, United Kingdom

Post by parora24@gmail.com » Fri Jul 03, 2020 10:07 pm

As i mentioned, I didnt buy this or install it from the marketplace. This is the extension that comes inbuilt in opencart.


Posts

Joined
Tue Jun 16, 2020 1:58 am

Post by paulfeakins » Mon Jul 06, 2020 6:24 pm

parora24@gmail.com wrote:
Fri Jul 03, 2020 10:07 pm
As i mentioned, I didnt buy this or install it from the marketplace. This is the extension that comes inbuilt in opencart.
Then contact Braintree support.

For quick, professional OpenCart support please email info@antropy.co.uk


User avatar
Guru Member

Posts

Joined
Mon Aug 22, 2011 11:01 pm
Location - Reigate, Surrey, United Kingdom

Post by parora24@gmail.com » Tue Jul 07, 2020 12:48 am

I did and they say the issue is with opencart please contact opencart


Posts

Joined
Tue Jun 16, 2020 1:58 am

Post by Johnathan » Tue Jul 07, 2020 4:09 am

Someone may be able to help you in the forums, but I haven't heard of this issue, so I'm not sure what the problem would be. If you want to contact the OpenCart team directly, you should do it here (since they don't check the forums):

https://www.opencart.com/index.php?rout ... rt/contact

If you can't get it working, I do have a Braintree Payment Gateway extension that would not have this issue, but you must have API access to use it. If you signed up under "PayPal (Powered by Braintree)" then they won't give you API access, so you'd need to sign up for a normal "Braintree Direct" account. Feel free to take a look at the screenshots and demo site, and if you're interested let me know at www.getclearthinking.com/contact if you have any further questions.

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by MisterRoo » Tue Jul 07, 2020 2:24 pm

I have the exact same issue.

Newbie

Posts

Joined
Wed Dec 13, 2017 11:45 pm

Post by MisterRoo » Tue Jul 07, 2020 2:26 pm

both in sandbox and production. As soon as I enable the gateway the same message pops up

Newbie

Posts

Joined
Wed Dec 13, 2017 11:45 pm

Post by EvolveWebHosting » Wed Jul 08, 2020 1:53 am

Make sure there are no spaces before or after the credentials you are copying / pasting into the configuration settings.

Image
50% Off SSD Shared Hosting w/ cPanel
Detailed guide on how to install Opencart


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by ADD Creative » Wed Jul 08, 2020 2:43 am

parora24@gmail.com wrote:
Fri Jul 03, 2020 2:49 am
I have installed the standard paypal powered by braintree extension. I have connected it to my Braintree account but I keep getting the below message

" There was a problem establishing a connection to the Braintree API. Please check your Merchant ID, Public Key, Private Key and Environment settings."

My version is 3.0.3.1

How can I fix this. Note that since i used the braintree onboarding app , I did not enter these details anywhere.

Please help
What PHP version are you using and do you see any errors in your error log that are related?

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by marakmarket » Fri Jul 10, 2020 11:45 am

Same issue
[There was a problem establishing a connection to the Braintree API. Please check your Merchant ID, Public Key, Private Key and Environment settings.]
The extension comes in opencart by default.
Any solution would be appreciated

Newbie

Posts

Joined
Tue Jan 02, 2018 11:16 pm

Post by ADD Creative » Sat Jul 11, 2020 2:39 am

marakmarket wrote:
Fri Jul 10, 2020 11:45 am
Same issue
[There was a problem establishing a connection to the Braintree API. Please check your Merchant ID, Public Key, Private Key and Environment settings.]
The extension comes in opencart by default.
Any solution would be appreciated
What PHP version are you using and do you see any errors in your error log that are related?

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by marakmarket » Sun Jul 12, 2020 9:52 pm

This is the email I got from Braintree prior to the error in the extension.

We’re following up on previous emails to notify you of an upcoming update to our root SSL certificate provider for API traffic. Our records show that between May 12 and May 15, 2020 your production account sent 104 API calls on a legacy SDK version that is not compatible with this update. If you have a developer or technical team, we strongly recommend forwarding them this message based on the nature of this change and the work required. If you’ve made changes to your integration since that time period or have previously received confirmation from Braintree that your SDK is up to date, you may disregard this message.

What action is required?
To avoid interruption to your processing, please update your SDK version on every part of your integration that is making API Calls to Braintree to the appropriate minimum version:
Java 2.67.0
Python 3.24.0
Ruby 2.57.0
PHP 3.8.0
Note: Node and .NET Server SDKs should not be impacted by these upcoming changes.
When do I need to make these changes?
The deadline to make this update was May 1; however, we have been able to extend this timeline in order to give you more time to make the necessary changes, which we recommend making as soon as possible. This change will become permanent on June 2, 2020.

Newbie

Posts

Joined
Tue Jan 02, 2018 11:16 pm

Post by ADD Creative » Sun Jul 12, 2020 11:17 pm

You need to update the Braintree SDK in the storage/vendor/braintree directory.

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by mwenye » Tue May 18, 2021 3:56 am

Hi guys, I have done the update bust still cannot get through, I have checked the braintree tutorial and I have to admit its not very easy. Its vague giving no clear instructions. The readme file says: require_once 'PATH_TO_BRAINTREE/lib/Braintree.php';

// Instantiate a Braintree Gateway either like this:
$gateway = new Braintree\Gateway([
'environment' => 'sandbox',
'merchantId' => 'your_merchant_id',
'publicKey' => 'your_public_key',
'privateKey' => 'your_private_key'

Where I am supposed to input this? Am i creating new file? I cannot seem to find this. Am i supposed to create a config.php file and add this code to it?

Newbie

Posts

Joined
Thu May 06, 2021 8:02 am

Post by ADD Creative » Tue May 18, 2021 5:21 am

No, you enter that information in the OpenCart admin. As long as the files are in the correct place OpenCart will load them.

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom
Who is online

Users browsing this forum: No registered users and 36 guests